@media only screen and (max-width: 768px) {
    .top-pannel .burger-link {
        display: none !important;
    }

    .top-pannel img {
        width: 100px;
        height: auto;
        margin-left: 20px;
    }

    .filler {
        flex-grow: 0;
    }

    .small-filler {
        display: unset !important;
        flex-grow: 20 !important;
    }

    .burger-menu {
        display: unset !important;
        filter: invert(1);
        width: 50px !important;
        height: auto !important;
    }

    .pannello {
        display: none;
        position: fixed;
        flex-direction: column !important;
        left: 0;
        background: black;
        z-index: 2 !important;
        width: 60% !important;
        justify-content: flex-start;
        height: 35%;
        margin-top: 90px;
    }

    .pannello a {
        text-decoration: none;
        color: white;
        margin: 10px;
        margin-top: 30px;
    }

    #footer {
        width: 100% !important;
        left: 0px !important;
        margin: 0px !important;
        padding: 0px !important;
        display: flex !important;
        background: black !important;
        z-index: 0 !important;
    }

    .contatti {
        display: flex;
        flex-direction: column;
        margin-left: 10px;
    }

    .link {
        text-decoration: none;
        color: white;
    }

    .contact-img {
        width: 40px;
        height: auto;
        margin: 10px;
    }

    .posizione {
        align-items: end;
        color: white;
        margin-right: 30px;
    }

    .posizione .link {
        text-align: end;
    }

    .title {
        font-size: small !important;
        margin: 0px !important;
        margin-top: 80px !important;
    }

    .title img {
        width: 100% !important;
        height: auto !important;
        border-radius: 40px;
        object-fit: cover;
        object-position: center bottom;  /* centra sui soggetti */
        margin: auto;
    }

    .right-img {
        flex-direction: column !important;
        justify-content: center;
    }

    .right-img p {
        width: 100% !important;
    }

    .img-right-img {
        width: 100% !important;
    }

    
    .left-img {
        flex-direction: column !important;
        justify-content: center;
    }

    .left-img p {
        width: 100% !important;
    }

    .img-left-img {
        width: 100% !important;
    }

    .strumenti-left {
        display: flex;
        flex-direction: column-reverse !important;
        justify-content: center;
        align-items: center;
    }

    .strumenti-left img {
        width: 50%;
        height: auto;
    }

    .strumenti-left p {
        margin-left: 20px;
    }

    .strumenti-right {
        display: flex;
        flex-direction: column !important;
        justify-content: center;
        align-items: center;
    }

    .strumenti-right img {
        width: 50%;
        height: auto;
    }

    .strumenti-right p {
        margin-left: 20px;
    }
}

@media only screen and (max-width: 611px) {
    .testo-link {
        display: none !important;
    }

    .contacts {
        display: flex;
        flex-direction: row !important;
        margin: 0px !important;
    }
}



html {
    font-family: "Josefin Sans", sans-serif;
  height: 100%;
  margin: 0;
  padding: 0;
}

body {
    max-width: 100%;
    overflow-x: hidden;
    filter: none;
    z-index: 0;
    margin: 0;
    padding: 0;
    display: flex;
  flex-direction: column;
  min-height: 100vh;
}

main {
	flex: 1;
    padding-top: 90px;
    margin: 10px;
}

.top-pannel {
    position: fixed;
    margin: 0px;
    height: 90px;
    width: 100%;
    background: black;
    top: 0%;
    left: 0%;
    z-index: 2;
    display: flex;
    justify-content: center;
    align-items: center;
}

.top-pannel img {
    width: 90px;
    height: auto;
    margin-left: 20px;
    margin-bottom: 5px;
    margin-top: 5px;
}

.pannello {
    display: none;
}

.top-pannel .burger-link {
    color: white;
    text-decoration: none;
    margin: 20px;
}

.filler {
    flex-grow: 1;
}

.small-filler {
    display: none;
}

.burger-menu {
    display: none;
}

#footer {
    width: 100%;
    left: 0px;
    margin: 0px;
    padding: 0%;
    display: flex;
    background: black;
}

.contatti {
    display: flex;
    flex-direction: column;
    margin-left: 10px;
}

.contacts {
    display: flex;
    flex-direction: column;
}

.link {
    text-decoration: none;
    color: white;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
}

.contact-img {
    width: 40px;
    height: auto;
    margin: 10px;
}

.posizione {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    color: white;
    margin-right: 50px;
    margin-top: 30px;
}

#dovesiamo {
    right: 10px;
}

.title {
    font-size: large;
    color: black;
    margin: 80px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.title img {
	width: 100% !important;
    height: auto !important;
    border-radius: 40px;
    object-fit: cover;
    object-position: center bottom;  /* centra sui soggetti */
    margin: auto;
}

.right-img {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
    margin: 10px;
}

.right-img p {
    font-size: 17px;
    width: 50%;
}

.img-right-img {
    width: 40%;
}

.left-img {
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-around;
    align-items: center;
    margin: 10px;
}

.left-img p {
    font-size: 17px;
    width: 50%;
}

.img-left-img {
    width: 40%;
}

@media only screen and (min-width: 768px) {
    .title img {
        width: 100%;
        height: 500px;
        border-radius: 40px;
        object-fit: cover;
        object-position: center 70%;  /* centra sui soggetti */
        margin: auto;
    }
}

.line {
    width: 100%;
    height: 2px;
    border: 1px solid black;
    background-color: black;
}

.info-box {
    margin-top: 100px;
}

.title2 {
    display: flex;
    font-size: large;
    margin: 80px !important;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    text-align: start;
    margin-bottom: 0%;
}

.title2 h1 {
    margin: 0%;
    margin-top: 21px;
}

.title2 h3 {
    margin: 0%;
}

.info-box2 {
    margin-top: 0%;
}

.info-box2 h3 {
    margin-bottom: 0%;
}

.strumenti-left {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.strumenti-left img {
    width: 50%;
    height: auto;
}

.strumenti-left p {
    margin-left: 20px;
}

.strumenti-right {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.strumenti-right img {
    width: 50%;
    height: auto;
}

.strumenti-right p {
    margin-left: 20px;
}

.space {
    margin: 80px;
}

.top-button {
    display: none; /* Inizialmente nascosto */
    position: fixed; /* Posizionato fissa in basso */
    bottom: 20px; /* Distanza dal basso */
    right: 20px; /* Distanza da destra */
    width: 50px; /* Dimensione del tasto */
    height: 50px; /* Dimensione del tasto */
    background-image: url('img/Logo/top-arrow.png'); /* Immagine di sfondo */
    background-size: cover; /* L'immagine copre l'intero pulsante */
    background-position: center; /* Posiziona l'immagine al centro */
    border: none; /* Rimuove il bordo */
    border-radius: 50%; /* Rende il tasto rotondo */ 
    cursor: pointer; /* Cambia cursore quando si passa sopra */
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1); /* Ombra per un effetto 3D */
    transition: background-color 0.3s ease; /* Transizione per l'effetto hover */
    z-index: 10000;
}

.bodyclick {
    height: 100%;
    width: 100vw;
    position: absolute;
    background-color: transparent;
    z-index: 1;
}